#ifndef LOADIMAGE_H
#define LOADIMAGE_H

#include <QString>
#include "imageinfodata.h"

class RawImage;

QString makeUNCPath(const QString &path);
bool readFITSHeader(const QString &path, ImageInfoData &info);
bool readXISFHeader(const QString &path, ImageInfoData &info);
bool loadImage(const QString &path, ImageInfoData &info, std::shared_ptr<RawImage> &rawImage, int index, bool planar = false);
bool isFITS(const QString &suffix);
bool isXISF(const QString &suffix);

#endif // LOADIMAGE_H
